Skip to main content
GET
/
v1
/
policy-holders
/
{policy_holder_id}
cURL
curl --request GET \
  --url https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}
import requests

url = "https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://dev-api-cj-agc-vie.fnstack.dev/v1/policy-holders/{policy_holder_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "policy_holder_id": "phol_2c1x7V4r47ynM4RABVm1Co0UKkG",
  "status": "ACTIVE",
  "last_name": "MALONGA",
  "phone_number": "242059758563",
  "date_of_birth": "1974-12-02",
  "gender": "MALE",
  "first_name": "Jules"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Path Parameters

policy_holder_id
string
required
Minimum string length: 1
Example:

"phol_2c1x7V4r47ynM4RABVm1Co0UKkG"

Response

Get a policy holder

policy_holder_id
string
required
Minimum string length: 1
Example:

"phol_2c1x7V4r47ynM4RABVm1Co0UKkG"

status
enum<string>
required
Available options:
ACTIVE,
BLACKLISTED,
BLOCKED,
CANCELED,
CLOSED
Example:

"ACTIVE"

last_name
string
required
Required string length: 1 - 250
Example:

"MALONGA"

phone_number
string
required
Minimum string length: 1
Example:

"242059758563"

date_of_birth
string
required
Example:

"1974-12-02"

gender
enum<string>
default:MALE
Available options:
FEMALE,
MALE
Example:

"MALE"

first_name
string
Maximum string length: 250
Example:

"Jules"